package at.jku.mevss.anttracks.classification.nodes;

import java.util.HashMap;

public class HeapObjectMapGroupingMap extends HashMap<MapGroupingNode.HeapObjectGroupingKey, GroupingCounter> implements GroupingNode.GroupingDataCollection {

    private static final long serialVersionUID = 8792062703249862984L;

    @Override
    public int getObjectCount() {
        return (int) this.values().stream().mapToDouble(x -> x.get()).sum();
    }

    @Override
    public long getBytes() {
        return (long) this.entrySet().stream().mapToDouble(x -> x.getKey().size * x.getValue().get()).sum();
    }
}

