#!/bin/bash
traces=$(readlink -f "$@") &&
directory=$(cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd) &&
cd "$directory" &&
memory=$(bash get_heap_size.sh) &&
java -Djava.util.logging.config.file=log.config -Xmx"$memory"K -XX:+UseG1GC -XX:+CrashOnOutOfMemoryError -XX:+IgnoreUnrecognizedVMOptions -XX:-TraceObjects -jar AntTracks.jar GenerateMetaData $traces
