package at.jku.mevss.trace.gui.component.treetableview.cell.apporximatedoublecell;

import at.jku.mevss.trace.gui.component.treetableview.cell.AntCell;
import at.jku.mevss.trace.gui.component.treetableview.cell.AntCellContent;
import at.jku.mevss.trace.gui.model.ApproximateDouble;
import at.jku.mevss.trace.gui.utils.FXMLUtil;
import javafx.fxml.FXML;
import javafx.scene.control.Label;
import javafx.scene.control.Tooltip;

public class ApproximateDoubleCellContent extends AntCellContent<ApproximateDouble> {

    @FXML
    Label label;

    public ApproximateDoubleCellContent() {
        FXMLUtil.load(this, ApproximateDoubleCellContent.class);
    }

    @Override
    public void init() {

    }

    @Override
    public void set(AntCell<?, ApproximateDouble, ?> parentCell, ApproximateDouble item) {
        label.setText(String.format("%s%,d", item.isExact ? "" : "~ ", (long) item.value));
    }

    @Override
    public Tooltip getTooltip(AntCell<?, ApproximateDouble, ?> parentCell, ApproximateDouble item) {
        return null;
    }
}
