/*
Copyright (c) 2014, 2015, 2016, 2017, dynatrace and/or its affiliates. All rights reserved.
This file is part of the AntTracks Tool.

This code is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License version 2 only, as
published by the Free Software Foundation.

This code is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
version 2 for more details (a copy is included in the LICENSE file that
accompanied this code).

You should have received a copy of the GNU General Public License
along with with this work.  If not, see <http://www.gnu.org/licenses/>.
*/

package at.jku.ssw.ftcm.export;

public class StatementFeature extends GenericFeatureImpl implements GenericFeature {

    private int b_start, b_end;

    public StatementFeature(int b_start) {
        this(b_start, -1);
    }

    public StatementFeature(int b_start, int b_end) {
        super();
        this.b_start = b_start;
        this.b_end = b_end;
    }

    public int getB_start() {
        return b_start;
    }

    public void setB_start(int b_start) {
        this.b_start = b_start;
    }

    public int getB_end() {
        return b_end;
    }

    public void setB_end(int b_end) {
        this.b_end = b_end;
    }

}
