package at.jku.mevss.anttracks.classification.trees;

import at.jku.mevss.anttracks.classification.ClassifierChain;
import at.jku.mevss.anttracks.classification.ConditionalClassifierList;
import at.jku.mevss.anttracks.classification.Filter;
import at.jku.mevss.anttracks.classification.nodes.MapGroupingNode;
import javafx.concurrent.Task;

import javax.naming.OperationNotSupportedException;

public class MapClassificationTree extends ClassificationTree {

    public MapClassificationTree(MapGroupingNode root, Filter[] filters, ClassifierChain classifiers, ConditionalClassifierList conditionalClassifiers) {
        super(root, filters, classifiers, conditionalClassifiers);
    }

    @Override
    public Task<Void> writeTreeTask(String metaDir, String postfix) throws OperationNotSupportedException {
        throw new OperationNotSupportedException("Tree writing not yet implemented");
    }

    @Override
    public void calculateObjectAndByteCounts() {
        root.getObjectCount();
        root.getByteCount();
    }

    @Override
    public void calculateClosures(ClosureCalcListener listener) throws OperationNotSupportedException {
        throw new OperationNotSupportedException("Map Classification does not support closures");
    }
}
