package at.jku.mevss.trace.gui.component.treetableview.cell;

import at.jku.mevss.trace.gui.utils.FXMLUtil;
import javafx.scene.control.Tooltip;
import javafx.scene.layout.BorderPane;

public abstract class AntCellContent<T> extends BorderPane {

    public AntCellContent() {
        FXMLUtil.load(this, AntCellContent.class);
    }

    public abstract void init();

    public void setInternal(AntCell<?, T, ?> parentCell, T item) {
        set(parentCell, item);
    }

    public abstract void set(AntCell<?, T, ?> parentCell, T item);

    public abstract Tooltip getTooltip(AntCell<?, T, ?> parentCell, T item);
}
