package at.jku.mevss.trace.gui.model;

import at.jku.mevss.anttracks.classification.ClassifierChain;
import at.jku.mevss.anttracks.classification.ConditionalClassifierList;
import at.jku.mevss.anttracks.classification.Filter;
import at.jku.mevss.anttracks.diff.DiffGrouping;

import java.util.List;

public class DiffStatisticsInfo extends SelectedClassifierInfo {

    private final DiffInfo diffInfo;
    private DiffGrouping grouping;

    public DiffStatisticsInfo(DiffInfo diffInfo, ClassifierChain selectedClassifier, ConditionalClassifierList conditionalClassifier, List<Filter> selectedFilters) {
        super(selectedClassifier, conditionalClassifier, selectedFilters);
        this.diffInfo = diffInfo;
    }

    public DiffInfo getDiffInfo() {
        return diffInfo;
    }

    public DiffGrouping getGrouping() {
        return grouping;
    }

    public void setGrouping(DiffGrouping grouping) {
        this.grouping = grouping;
    }
}
