package at.jku.mevss.trace.gui.task;

import at.jku.mevss.anttracks.heap.DetailedHeap;
import at.jku.mevss.anttracks.parser.heap.HeapTraceParser;
import at.jku.mevss.anttracks.util.TraceException;
import at.jku.mevss.trace.gui.model.AppInfo;

import java.io.IOException;

public abstract class DetailedHeapTask extends HeapTask<DetailedHeap> {

    public DetailedHeapTask(AppInfo appInfo, long time) {
        super(appInfo, time);
    }

    @Override
    protected DetailedHeap parse(HeapTraceParser parser) throws InterruptedException, IOException, TraceException {
        return parser.parse(cancelProperty);
    }
}