/*
Copyright (c) 2014, 2015, 2016, 2017, dynatrace and/or its affiliates. All rights reserved.
This file is part of the AntTracks Tool.

This code is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License version 2 only, as
published by the Free Software Foundation.

This code is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
version 2 for more details (a copy is included in the LICENSE file that
accompanied this code).

You should have received a copy of the GNU General Public License
along with with this work.  If not, see <http://www.gnu.org/licenses/>.
*/
package at.jku.mevss.trace.gui.utils;

import java.awt.*;

public class ColorUtil {
    public static int perceivedBrightness(Color c) {
        return (int) Math.sqrt(c.getRed() * c.getRed() * .299 + c.getGreen() * c.getGreen() * .587 + c.getBlue() * c.getBlue() * .114);
    }

    public static Color blackOrWhite(Color on) {
        return perceivedBrightness(on) > 130 ? Color.BLACK : Color.WHITE;
    }
}
